Can't install openssh or nfs-kernel-server packages

Having issues with your DietPi installation, or, found a bug? Post it here.
Post Reply
JackHack96
Posts: 2
Joined: Sun Jul 01, 2018 12:57 pm

Can't install openssh or nfs-kernel-server packages

Post by JackHack96 »

Hi everyone!

I'm writing here to report a problem with openssh-server and nfs-kernel-server packages. If I try to install them, I get the following error:

Code: Select all

root@DietPi:~# apt install nfs-kernel-server 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  keyutils libnfsidmap2 nfs-common
Suggested packages:
  open-iscsi watchdog
The following NEW packages will be installed:
  keyutils libnfsidmap2 nfs-common nfs-kernel-server
0 upgraded, 4 newly installed, 0 to remove and 3 not upgraded.
Need to get 0 B/391 kB of archives.
After this operation, 1,116 kB of additional disk space will be used.
Do you want to continue? [Y/n] 
Selecting previously unselected package libnfsidmap2:armhf.
dpkg: warning: files list file for package 'wget' missing; assuming package has no files currently installed
(Reading database ... 27146 files and directories currently installed.)
Preparing to unpack .../libnfsidmap2_0.25-5.1_armhf.deb ...
Unpacking libnfsidmap2:armhf (0.25-5.1) ...
Selecting previously unselected package keyutils.
Preparing to unpack .../keyutils_1.5.9-9_armhf.deb ...
Unpacking keyutils (1.5.9-9) ...
Selecting previously unselected package nfs-common.
Preparing to unpack .../nfs-common_1%3a1.3.4-2.1_armhf.deb ...
Unpacking nfs-common (1:1.3.4-2.1) ...
Selecting previously unselected package nfs-kernel-server.
Preparing to unpack .../nfs-kernel-server_1%3a1.3.4-2.1_armhf.deb ...
Unpacking nfs-kernel-server (1:1.3.4-2.1) ...
Setting up libnfsidmap2:armhf (0.25-5.1) ...
Setting up keyutils (1.5.9-9) ...
Processing triggers for libc-bin (2.24-11+deb9u3) ...
Processing triggers for systemd (232-25+deb9u2) ...
Processing triggers for man-db (2.7.6.1-2) ...
Setting up nfs-common (1:1.3.4-2.1) ...
dpkg: error processing package nfs-common (--configure):
 subprocess installed post-installation script returned error exit status 10
dpkg: dependency problems prevent configuration of nfs-kernel-server:
 nfs-kernel-server depends on nfs-common (= 1:1.3.4-2.1); however:
  Package nfs-common is not configured yet.

dpkg: error processing package nfs-kernel-server (--configure):
 dependency problems - leaving unconfigured
Processing triggers for systemd (232-25+deb9u2) ...
Errors were encountered while processing:
 nfs-common
 nfs-kernel-server
E: Sub-process /usr/bin/dpkg returned an error code (1)
As you can see, APT fails to execute the post-installation script of nfs-common. Do you think it's an upstream bug?
User avatar
WarHawk
Posts: 622
Joined: Thu Jul 20, 2017 8:55 am

Re: Can't install openssh or nfs-kernel-server packages

Post by WarHawk »

What hardware are you running it on?
What version are you running
have you tried to use diepi-config to change from dropbear to openssh server
JackHack96
Posts: 2
Joined: Sun Jul 01, 2018 12:57 pm

Re: Can't install openssh or nfs-kernel-server packages

Post by JackHack96 »

I'm running the latest version of DietPi (v6.9) on a Raspberry Pi 3.

If I try to change from dropbear to openssh from dietpi-config, it simply fails and shows a prompt for retrying.

I've temporarily "solved" by adding a custom mirror to /etc/apt/sources.list (for Debian Jessie) and installing the older version of openssh from that, then I marked the packages with apt-mark hold.

Now I can use openssh (the older one), but the same thing can't be done for nfs-kernel-server..
Post Reply